org.apache.ignite.internal.processors.cache

## Class CacheNodeCommonDiscoveryData

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheNodeCommonDiscoveryData

All Implemented Interfaces:
  Serializable

    public class CacheNodeCommonDiscoveryData
    extends Object
    implements Serializable

Cache information sent in discovery data to joining node.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheNodeCommonDiscoveryData(Map<String,CacheData> caches, Map<String,CacheData> templates, Map<Integer,CacheGroupData> cacheGrps, Map<String,Map<UUID,Boolean>> clientNodesMap, Collection<String> restartingCaches)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,CacheData>` `caches()`
`Map<String,Map<UUID,Boolean>>` `clientNodesMap()`
`Map<String,CacheData>` `templates()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheNodeCommonDiscoveryData

    public CacheNodeCommonDiscoveryData(Map<String,CacheData> caches,
                                        Map<String,CacheData> templates,
                                        Map<Integer,CacheGroupData> cacheGrps,
                                        Map<String,Map<UUID,Boolean>> clientNodesMap,
                                        Collection<String> restartingCaches)

Parameters:
  `caches` - Started caches.
  `templates` - Configured templates.
  `cacheGrps` - Started cache groups.
  `clientNodesMap` - Information about cache client nodes.

### Method Detail

#### caches

    public Map<String,CacheData> caches()

Returns:
  Started caches.

#### templates

    public Map<String,CacheData> templates()

Returns:
  Configured templates.

#### clientNodesMap

    public Map<String,Map<UUID,Boolean>> clientNodesMap()

Returns:
  Information about cache client nodes.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022